MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions | Variables

# src/decoder_list.h File Reference

`#include <stdbool.h>`

Go to the source code of this file.

## Functions
struct decoder_plugin * | decoder_plugin_from_suffix (const char *suffix, const struct decoder_plugin *plugin)
| Find the next enabled decoder plugin which supports the specified suffix.
struct decoder_plugin * | decoder_plugin_from_mime_type (const char *mimeType, unsigned int next)
struct decoder_plugin * | decoder_plugin_from_name (const char *name)
void | decoder_plugin_init_all (void)
void | decoder_plugin_deinit_all (void)
## Variables
struct decoder_plugin *const | decoder_plugins []
bool | decoder_plugins_enabled []

## Function Documentation

void decoder_plugin_deinit_all | ( | void |  | ) |

struct decoder_plugin* decoder_plugin_from_mime_type | ( | const char * | mimeType,
|  | unsigned int | next
| ) |  | `[read]`

struct decoder_plugin* decoder_plugin_from_name | ( | const char * | name | ) | `[read]`

struct decoder_plugin* decoder_plugin_from_suffix | ( | const char * | suffix,
|  | const struct decoder_plugin * | plugin
| ) |  | `[read]`

Find the next enabled decoder plugin which supports the specified suffix.

Parameters:

  suffix | the file name suffix
  plugin | the previous plugin, or NULL to find the first plugin

Returns:
  a plugin, or NULL if none matches

void decoder_plugin_init_all | ( | void |  | ) |

## Variable Documentation

struct decoder_plugin* const decoder_plugins[]

bool decoder_plugins_enabled[]